from watermark_verify.inference.rcnn_inference import FasterRCNNInference
from watermark_verify.inference.ssd_inference import SSDInference
from watermark_verify.inference.yolox_inference import YOLOXInference
from watermark_verify.inference.classification_inference import ClassificationInference

if __name__ == '__main__':
    model_filename = "models/origin/googlenet/googlenet.om"
    dets = ClassificationInference(model_filename).predict('ILSVRC2012_val_00002138.JPEG')
    # model_filename = "models/origin/yolox/yolox.om"
    # dets = YOLOXInference(model_filename).predict('coco/val2017/000000005992.jpg')
    # model_filename = "models/origin/ssd/ssd.om"
    # dets = SSDInference(model_filename).predict('VOC2007/JPEGImages/000001.jpg')
    # model_filename = "models/origin/faster-rcnn/rcnn_linux_aarch64.om"
    # dets = FasterRCNNInference(model_filename).predict('VOC2007/JPEGImages/000001.jpg')
    print(f"dets: {dets}")
